Package org.eclipse.microprofile.openapi.apps.beanvalidation

# Class BeanValidationResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.beanvalidation.BeanValidationResource

@Path("/") public class BeanValidationResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`BeanValidationResource()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(@Size(max=6) String size)`
`void`
`test(@Valid BeanValidationData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanValidationResource

public BeanValidationResource()

## Method Details

### test

@POST @Consumes("application/json") public void test(@Valid @Valid BeanValidationData data)

### test

@POST @Path("parameter/{test}") public void test(@PathParam("test") @Size(max=6) @Size(max=6) String size)